2010-11-11  Yuta Mori  <yuta.256@gmail.com>
	Changed paths:
	   M /trunk/CMakeLists.txt
	   M /trunk/include/CMakeLists.txt

	Fixed some bugs in CMakeLists.txt.

2008-08-24  Yuta Mori  <yuta.256@gmail.com>
	Changed paths:
	   M /trunk/lib/divsufsort.c

	bug fix in divbwt.

2008-08-23  Yuta Mori  <yuta.256@gmail.com>
	Changed paths:
	   M /trunk/INSTALL
	   M /trunk/NEWS
	   M /trunk/README
	   M /trunk/include/divsufsort.h.cmake
	   M /trunk/pkgconfig/CMakeLists.txt
	   M /trunk/pkgconfig/libdivsufsort.pc.cmake

	Update files for 2.0.0.

2008-08-23  Yuta Mori  <yuta.256@gmail.com>
	Changed paths:
	   M /trunk/examples/sasearch.c
	   M /trunk/lib/sssort.c

	A few bug fixes.

2008-07-28  Yuta Mori  <yuta.256@gmail.com>
	Changed paths:
	   M /trunk/CMakeLists.txt
	   M /trunk/include/CMakeLists.txt
	   M /trunk/include/divsufsort.h.cmake
	   M /trunk/include/divsufsort_private.h
	   M /trunk/lib/CMakeLists.txt
	   M /trunk/lib/divsufsort.c
	   M /trunk/lib/trsort.c
	   M /trunk/lib/utils.c
	   M /trunk/pkgconfig/CMakeLists.txt
	   M /trunk/pkgconfig/libdivsufsort.pc.cmake

	Added 64-bit version of divsufsort.

2008-07-19  Yuta Mori  <yuta.256@gmail.com>
	Changed paths:
	   M /trunk/include/divsufsort_private.h
	   M /trunk/lib/sssort.c

	Fixed integer overflow in ss_isqrt().

2008-07-14  Yuta Mori  <yuta.256@gmail.com>
	Changed paths:
	   M /trunk/examples/mksary.c
	   M /trunk/examples/sasearch.c
	   M /trunk/examples/suftest.c
	   M /trunk/examples/unbwt.c

	Rewrote examples.

2008-07-13  Yuta Mori  <yuta.256@gmail.com>
	Changed paths:
	   M /trunk/examples/bwt.c

	Rewrote bwt.c.

2008-07-13  Yuta Mori  <yuta.256@gmail.com>
	Changed paths:
	   A /trunk/CMakeModules/CheckLFS.cmake
	   A /trunk/include/lfs.h.cmake

	Added files...

2008-07-13  Yuta Mori  <yuta.256@gmail.com>
	Changed paths:
	   M /trunk/CMakeLists.txt
	   M /trunk/include/CMakeLists.txt
	   M /trunk/include/config.h.cmake

	Added LFS (Large File Support) files.

2008-07-11  Yuta Mori  <yuta.256@gmail.com>
	Changed paths:
	   M /trunk/CMakeLists.txt

	Fix version number.

2008-07-11  Yuta Mori  <yuta.256@gmail.com>
	Changed paths:
	   M /trunk/CMakeLists.txt
	   A /trunk/CMakeModules/ProjectCPack.cmake
	   M /trunk/COPYING
	   M /trunk/examples/bwt.c
	   M /trunk/examples/mksary.c
	   M /trunk/examples/sasearch.c
	   M /trunk/examples/suftest.c
	   M /trunk/examples/unbwt.c
	   M /trunk/include/config.h.cmake
	   M /trunk/include/divsufsort.h.cmake
	   M /trunk/include/divsufsort_private.h
	   M /trunk/lib/CMakeLists.txt
	   M /trunk/lib/divsufsort.c
	   A /trunk/lib/sssort.c (from /trunk/lib/substringsort.c:5)
	   D /trunk/lib/substringsort.c
	   M /trunk/lib/trsort.c
	   M /trunk/lib/utils.c
	   A /trunk/pkgconfig
	   A /trunk/pkgconfig/CMakeLists.txt
	   A /trunk/pkgconfig/libdivsufsort.pc.cmake

	Major rewrite of libdivsufsort.
	Added CPack support to create the source package.
	Added OpenMP support for sssort.

2008-07-03  Yuta Mori  <yuta.256@gmail.com>
	Changed paths:
	   A /trunk/CMakeLists.txt
	   A /trunk/CMakeModules
	   A /trunk/CMakeModules/AppendCompilerFlags.cmake
	   A /trunk/CMakeModules/CheckFunctionKeywords.cmake
	   A /trunk/CMakeModules/cmake_uninstall.cmake.in
	   M /trunk/INSTALL
	   D /trunk/Makefile.am
	   M /trunk/README
	   A /trunk/VERSION
	   D /trunk/configure.ac
	   A /trunk/examples/CMakeLists.txt
	   D /trunk/examples/Makefile.am
	   M /trunk/examples/sasearch.c
	   A /trunk/include/CMakeLists.txt
	   D /trunk/include/Makefile.am
	   A /trunk/include/config.h.cmake
	   A /trunk/include/divsufsort.h.cmake
	   D /trunk/include/divsufsort.h.in
	   A /trunk/include/divsufsort_private.h
	   D /trunk/include/divsufsort_private.h.in
	   A /trunk/lib/CMakeLists.txt
	   D /trunk/lib/Makefile.am
	   M /trunk/lib/divsufsort.c
	   D /trunk/lib/libdivsufsort.sym
	   M /trunk/lib/substringsort.c
	   M /trunk/lib/trsort.c

	The build system was changed to CMake. (http://www.cmake.org/)

2008-06-26  Yuta Mori  <yuta.256@gmail.com>
	Changed paths:
	   M /trunk/AUTHORS
	   M /trunk/configure.ac

	AUTHORS: Fixed email address.

2008-02-23  Yuta Mori  <yiv01157@nifty.com>

	* lib/substringsort.c (_merge_backward): Bug fix.
	* lib/trsort.c (_tr_introsort): Bug fix.

2007-09-02  Yuta Mori  <yiv01157@nifty.com>

	* lib/trsort.c (_ls_introsort): Important bug fix.

2007-07-15  Yuta Mori  <yiv01157@nifty.com>

	A few bug fixes.

	* lib/divsufsort.c (divbwt): Bug fix.
	* lib/trsort.c (_tr_introsort): Bug fix.
	* lib/utils.c (sa_search, sa_simplesearch): New functions.
	* lib/libdivsufsort.sym: Update.
	* include/divsufsort.h.in: Update.
	* examples/sasearch.c: New file.
	* examples/Makefile.am: Update.
	* configure.ac: Update.
	* NEWS: Update.
	* README: Update.

2007-04-14  Yuta Mori  <yiv01157@nifty.com>

	Change license to the MIT/X11 license.
	Update all files for 1.2.0.

	* lib/libdivsufsort.sym: New file for libtool.

2007-04-07  Yuta Mori  <yiv01157@nifty.com>

	Update files for 1.1.7.

2007-04-07  Yuta Mori  <yiv01157@nifty.com>

	Replace drsort with tandem repeat sorting algorithm and Larsson-Sadakane sorting algorithm.

	* lib/trsort.c: New file.
	* lib/drsort.c: Delete.
	* lib/divsufsort.c: Update.
	* lib/Makefile.am: Update.
	* lib/divsufsort_private.h.in (LS_INSERTIONSORT_THRESHOLD, TR_INSERTIONSORT_THRESHOLD): New constants.
	(DR_INSERTIONSORT_THRESHOLD): Delete.
	(STACK_PUSH3, STACK_POP3): New macros.

2007-03-31  Yuta Mori  <yiv01157@nifty.com>

	Update files for 1.1.6.

2007-03-31  Yuta Mori  <yiv01157@nifty.com>

	Replace _ss_merge with new merge algorithms.

	* lib/substringsort.c (_ss_merge): Delete.
	* lib/substringsort.c (_block_swap, _merge_forward, _merge_backward, _merge): New functions.
	(substringsort): Update.
	* lib/divsufsort.c (_sort_typeBstar, divsufsort, divbwt): Update.
	* include/divsufsort_private.h.in (LOCALMERGE_BUFFERSIZE): New constant.
	(SS_MERGESORT_QUEUESIZE): Delete.

2007-03-24  Yuta Mori  <yiv01157@nifty.com>

	Update files for 1.1.5.

2007-03-23  Yuta Mori  <yiv01157@nifty.com>

	Replace breadth-first introsort with new multikey introsort.

	* lib/substringsort.c (_compare): Update.
	(_substring_partition): Update.
	(_multikey_introsort): New function.
	(_introsort, _bfintrosort): Delete.
	(substringsort): Update.
	* lib/divsufsort.c (_sort_typeBstar): Update.

2007-03-21  Yuta Mori  <yiv01157@nifty.com>

	* lib/substringsort.c (_introsort): Convert introsort to a non-recursive algorithm.
	(substringsort): Update.
	* lib/divsufsort.c (_sort_typeBstar): Update.

2007-03-21  Yuta Mori  <yiv01157@nifty.com>

	* include/divsufsort_private.h.in (STACK_SIZE): Rename from SS_STACK_SIZE.
	(SS_BLOCKSIZE): Rename from SS_MKQSORT_THRESHOLD.
	(SS_MKQSORT_DMAX, SS_DSWAP, SS_STACK_PUSH, SS_STACK_POP): Delete.
	(STACK_PUSH, STACK_POP): New macros.
	(substringsort): Update prototype.

2007-03-17  Yuta Mori  <yiv01157@nifty.com>

	Update files for 1.1.4.

2007-03-17  Yuta Mori  <yiv01157@nifty.com>

	* substringsort.c (_fixdown, _heapsort, _lg): New function.
	(_introsort): Rename from _quicksort. Change to use new partitioning algorithm.
	(_bfintrosort): Rename from _bfquicksort.

2007-03-10  Yuta Mori  <yiv01157@nifty.com>

	Update files for 1.1.3.

2007-03-10  Yuta Mori  <yiv01157@nifty.com>

	Replace depth-first multikey quicksort with new breadth-first ternary quicksort.

	* substringsort.c (_ss_compare_lcp, _ss_tqsort, _ss_mkqsort): Remove.
	(_median3): Rename from _ss_median and rewrite.
	(_pivot): Rename from _ss_pivot and rewrite.
	(_median5, _substring_partition, _quicksort, _bfquicksort): New function.

2007-03-03  Yuta Mori  <yiv01157@nifty.com>

	Update files for 1.1.2.

2007-03-03  Yuta Mori  <yiv01157@nifty.com>

	* substringsort.c (_compare): Rename from _ss_compare and rewrite.
	(_insertionsort): Rename from _ss_insertionsort and rewrite.

2007-02-24  Yuta Mori  <yiv01157@nifty.com>

	Update files for 1.1.1.

2007-02-24  Yuta Mori  <yiv01157@nifty.com>

	* lib/substringsort.c (_ss_getc): Remove.

2007-02-17  Yuta Mori  <yiv01157@nifty.com>

	Update files for 1.1.0.

2007-02-17  Yuta Mori  <yiv01157@nifty.com>

	* utils.c (bwtcheck): Remove.

2007-02-11  Yuta Mori  <yiv01157@nifty.com>

	* lib/divsufsort.c,
	  include/divsufsort.h.in,
	  include/divsufsort_private.h.in:
	  Change to use a new improved two-stage sort algorithm (version 070210).

2007-01-28  Yuta Mori  <yiv01157@nifty.com>

	* lib/divsufsort.c (_sort): Fix a bug that using wrong index.

2007-01-28  Yuta Mori  <yiv01157@nifty.com>

	* examples/bwt.c: Rename from examples/bwt2.c.
	* examples/unbwt.c: Rename from examples/unbwt2.c.
	* examples/bwt1.c: Delete.
	* examples/unbwt1.c: Delete.

2007-01-28  Yuta Mori  <yiv01157@nifty.com>

	* lib/divsufsort.c, include/divsufsort_private.h.in:
	  Change to use new improved two-stage sort algorithm (version 070128).

2007-01-24  Yuta Mori  <yiv01157@nifty.com>

	Remove use of libtool.

	* include/divsufsort_private.h.in: Rename from include/divsufsort_private.h.

2007-01-24  Yuta Mori  <yiv01157@nifty.com>

	Initial import.

;; Local Variables:
;; coding: utf-8
;; End:
